package appliCLI;

import domaine.*;

public class EssaiVoiture {

	private static void affiche(Voiture v) {
		System.out.println(v);
		System.out.println(" " + v.consommation() + "l/100km");
		System.out.println(" " + v.prix() + "");
		System.out.println();
	}
	public static void main(String[] args) {
		Voiture v1 = new VoitureDeBase("Renault", "Clio", Carburant.SP95, 5.6f, 11000);
		affiche(v1);
		Voiture v1Bva = new VoitureAvecBVA(v1);
		affiche(v1Bva);
		VoitureAvecClimatisationAuto v1Clim = new VoitureAvecClimatisationAuto(v1);
		affiche(v1Clim);
		v1Clim.habitacleA20degres();
		Voiture v1BvaClim = new VoitureAvecClimatisationAuto(v1Bva);
		affiche(v1BvaClim);
		Voiture v1ClimBva = new VoitureAvecBVA(v1Clim);
		affiche(v1ClimBva);
		Voiture v2 = new VoitureAvecKitBlueTooth(
				         new VoitureAvecClimatisationAuto(
				             new VoitureAvecBVA(
				        	     new VoitureDeBase("Peugeot", "3008", Carburant.GAZOLE, 6, 30450)
				        	 )
				         )
				     );
		affiche(v2);
	}
}
